%global gem_name actionview
%{?_with_bootstrap: %global bootstrap 1}
%global bootstrap 1
Name:                rubygem-%{gem_name}
Version:             5.2.4.4
Release:             1
Summary:             Rendering framework putting the V in MVC (part of Rails)
License:             MIT
URL:                 http://rubyonrails.org
Source0:             https://rubygems.org/gems/%{gem_name}-%{version}.gem
Source1:             https://github.com/rails/rails/archive/v5.2.4.4.tar.gz
Patch0:              rubygem-actionview-5.1.2-Prevent-negative-IDs-in-output-of-inspect.patch
BuildRequires:       ruby(release) rubygems-devel
%if ! 0%{?bootstrap}
BuildRequires:       rubygem(activesupport) = %{version} rubygem(activerecord) = %{version}
BuildRequires:       rubygem(actionpack) = %{version} rubygem(railties) = %{version}
BuildRequires:       rubygem(sqlite3)
%endif
BuildArch:           noarch
%description
Simple, battle-tested conventions and helpers for building web pages.

%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description doc
Documentation for %{name}.

%prep
%setup -q -c -T
%gem_install -n %{SOURCE0}
pushd .%{gem_instdir}
%patch0 -p2
popd

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/
%if ! 0%{?bootstrap}

%check
ln -s %{gem_dir}/gems/activerecord-%{version}/ .%{gem_dir}/gems/activerecord
pushd .%{gem_instdir}
tar xzvf %{SOURCE1} -C .
cd rails-%{version}/%{gem_name}
for t in {actionpack,activerecord,template}; do
  ruby -Ilib:test -e "Dir.glob('./test/$t/**/*_test.rb').each {|t| require t}"
done
popd
%endif

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%license %{gem_instdir}/MIT-LICENSE

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rdoc
%doc %{gem_instdir}/CHANGELOG.md

%changelog
* Mon Feb  8 2021sunguoshuai<sunguoshuai@huawei.com>- 5.2.4.4-1
- Upgrade to 5.2.4.4

* Sat Aug 8 2020 chengzihan <chengzihan2@huawei.com> - 5.2.3-1
- Package init
